curl --request GET \
--url https://api.hubapi.com/scheduler/2026-03/meetings/meeting-links/book/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/scheduler/2026-03/meetings/meeting-links/book/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/scheduler/2026-03/meetings/meeting-links/book/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allUsersBusyTimes": [
{
"busyTimes": [
{
"end": 123,
"start": 123
}
],
"isOffline": true,
"meetingsUser": {
"id": "<string>",
"isSalesStarter": true,
"userId": "<string>",
"userProfile": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"lastName": "<string>"
}
}
}
],
"customParams": {
"availability": {},
"durations": [
123
],
"formFields": [
{
"fieldType": "<string>",
"isCustom": true,
"isRequired": true,
"label": "<string>",
"name": "<string>",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"type": "<string>"
}
],
"legalConsentEnabled": true,
"meetingBufferTime": 123,
"ownerPrioritized": true,
"weeksToAdvertise": 123,
"customAvailabilityEndDate": 123,
"customAvailabilityStartDate": 123,
"displayInfo": {
"avatar": "<string>",
"companyAvatar": "<string>",
"headline": "<string>"
},
"guestSettings": {
"canAddGuests": true,
"maxGuestCount": 123
},
"language": "<string>",
"legalConsentOptions": {
"communicationConsentCheckboxes": [
{
"communicationTypeId": "<string>",
"label": "<string>",
"required": true
}
],
"communicationConsentText": "<string>",
"isLegitimateInterest": true,
"legitimateInterestSubscriptionTypes": [
123
],
"privacyPolicyText": "<string>",
"processingConsentCheckboxLabel": "<string>",
"processingConsentFooterText": "<string>",
"processingConsentText": "<string>"
},
"locale": "<string>",
"location": "<string>",
"redirectUrl": "<string>",
"welcomeScreenInfo": {
"description": "<string>",
"logoUrl": "<string>",
"showWelcomeScreen": true,
"title": "<string>",
"useCompanyLogo": true
}
},
"isOffline": true,
"linkId": "<string>",
"brandingMetadata": {
"logoAltText": "<string>",
"showMarketingAd": true,
"showSalesAd": true,
"accent2Color": "<string>",
"accentColor": "<string>",
"companyAddressLine1": "<string>",
"companyAddressLine2": "<string>",
"companyAvatar": "<string>",
"companyCity": "<string>",
"companyCountry": "<string>",
"companyDomain": "<string>",
"companyName": "<string>",
"companyState": "<string>",
"companyZip": "<string>",
"logoHeight": 123,
"logoUrl": "<string>",
"logoWidth": 123,
"primaryColor": "<string>",
"secondaryColor": "<string>"
},
"linkAvailability": {
"hasMore": true,
"linkAvailabilityByDuration": {}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Retrieve meeting link slug
Retrieve detailed booking information for a specific meeting link using its slug. This endpoint provides insights into the availability and settings associated with the meeting link. It is useful for understanding the booking context and ensuring that the correct timezone is applied.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier for the meeting link to retrieve booking information for.
Query Parameters
The timezone to be used for the meeting link. This is required to ensure the correct scheduling context.
Response
successful operation
An array of objects representing the busy times for all users associated with the meeting link.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A boolean indicating whether the meeting link is offline.
The unique identifier for the meeting link.
The type of meeting link. Valid values include 'PERSONAL_LINK', 'GROUP_CALENDAR', and 'ROUND_ROBIN_CALENDAR'.
GROUP_CALENDAR, PERSONAL_LINK, ROUND_ROBIN_CALENDAR Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?